#include <iostream>
#include <vector>
#define ll long long
using namespace std;

int main()
{
    ll N, L;
    cin >> N >> L;
    
    vector<ll> heights(N);

    for (int i = 0; i < N; i++) {
        cin >> heights[i];
    }
    
    for (int i = 0; i < N; i++) {
        if (heights[i] <= L) {
            cout << (i + 1) << endl;
            return 0;
        }
    }
    
    cout << -1 << endl;

    return 0;
}